#!/bin/sh

APPS_NAME="IFX LLDP"
if [ -e sysconfig.sh ]; then
   . sysconfig.sh
else
   echo "Application "$APPS_NAME" not configured"
   exit 0
fi

echo "----------------------------------------------------------------------"
echo "--------------------------- build IFX LLDP ---------------------------"
echo "----------------------------------------------------------------------"

MODULES="lldp"
export PRODUCT=IIP
export IFX_PRODUCT_ROOT=`pwd`
export LXDB_COMPILATION=1

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	for module in $MODULES ; do 
		cd $module
		./build-clean
		cd -
	done
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

for module in $MODULES ; do 
	cd $module
	./build 
	retcode=$?
	if [ $retcode != 0 ] ; then
		ifx_error_check $retcode
		exit $retcode
	fi
	cd -
done

rm -rf  ${BUILD_ROOTFS_DIR}/usr/local/lldp
install -d ${BUILD_ROOTFS_DIR}/usr/local/lldp
cp lldp/bin/lldpManager ${BUILD_ROOTFS_DIR}/usr/local/lldp
cp lldp/bin/lldpd ${BUILD_ROOTFS_DIR}/usr/local/lldp
cp lldp/lib/libintf.so ${BUILD_ROOTFS_DIR}/usr/local/lldp
cp class_LLDP.sh ${BUILD_ROOTFS_DIR}/usr/local/lldp
cp startLLDP.sh ${BUILD_ROOTFS_DIR}/usr/local/lldp
cp stopLLDP.sh ${BUILD_ROOTFS_DIR}/usr/local/lldp

