/**************************************************************************
 **   FILE NAME       : ifx_lldp_ms_intf.h
 **   PROJECT         : LLDP Intf Module
 **   MODULES         : Config Module
 **   SRC VERSION     : V0.1
 **   DATE            : 17-4-2007
 **   AUTHOR          : Supreet M S, Awanish G, Pavan G M.
 **   DESCRIPTION     : 
 **   DEPENDENCIES    : ifx_common_defs.h and ifx_lldp_defs.h
 **   FUNCTIONS       :
 **   COMPILER        : gcc
 **   REFERENCE       : Coding guide lines for VSS ,
 **
 **   COPYRIGHT       : Copyright © 2004 Infineon Technologies AG
 **                     St. Martin Strasse 53; 81669 München, Germany
 **                     Any use of this Software is subject to the conclusion
 **                     of a respective License Agreement.Without such a
 **                     License Agreement no rights to the Software are granted.
 **  Version Control Section  **
 **   $Author$
 **   $Date$
 **   $Revisions$
 **   $Log$       Revision history
***********************************************************************/
#ifndef __IFX_LLDP_MS_INTF_H__
#define __IFX_LLDP_MS_INTF_H__

/* Initialises the LLDP Manager interface */
char8 IFX_LLDP_IntfInit();

/* Sends a new remote LLDP packet recevied intimation to LLDP Manager */
char8 IFX_LLDP_PACKET_RECEIVED(x_IFX_LLDP_PACKET *pxLldpPacket);

/* Sends remote LLDP packet expired intimation to LLDP Manager */
char8 IFX_LLDP_PACKET_EXPIRED(e_IFX_LLDP_DEVICE_TYPE eDeviceType,
                              x_IFX_LLDP_MAC *pxMacAddress);

#endif
