
/**************************************************************************
**   FILE NAME		: ifx_lldp_timer_if.h
**   PROJECT		: Inca-IP
**   MODULES	    : LLDP
**   SRC VERSION	: V1.0
**
**   DATE			:11-04-2007
**   AUTHOR			:Sanat. B.
**   DESCRIPTION	:Header file 	
**   COMPILER		:GCC
**   REFERENCE		:Coding Guideline Version 2.0
**							
**   COPYRIGHT      :Copyright  2004
**                   Infineon Technologies AG
**                   St. Martin Strasse 53; 81669 Mnchen, Germany
**   DESCLAIMER     :Any use of this Software is subject to the conclusion 
**                   of a respective License Agreement.
**                   Without such a License Agreement no rights to the 
**         			 Software are granted. 
**
**  Version Control Section 
**   $Author$
**   $Date$
**   $Revisions$
**   $Log$       Revision history
***********************************************************************/
#ifndef __IFX_LLDP_TIMERIF_H__
#define __IFX_LLDP_TIMERIF_H__

#define IFX_LLDP_MAX_TIMER 20

typedef struct
{
	uchar8 ucPort;
	uint32 uiMsgType;
	uint16 unIndex;

}x_IFX_LLDP_TimerCallBackParam;

typedef struct
{
	uchar8 unTimerId;
	x_IFX_LLDP_TimerCallBackParam xTimerParam;

}x_IFX_LLDP_Timer;

/*
 * Interface Functions
 */
EXTERN int32 IFX_LLDP_InitTimer(uint16 unNum);

EXTERN int32 IFX_LLDP_StartTimer(uint32 uiTimerVal,
                              x_IFX_LLDP_TimerCallBackParam* pxLLDP_Param,
                              uint16* punTimerID);

EXTERN int32 IFX_LLDP_StopTimer(uint16 unTimerID);

#endif /* __IFX_LLDP_TIMERIF_H__ */






